本站的镜像站点, cn.phpbbchinese.com 对中国大陆用户有线路优化,位于阿里云华东区。
https://cn.phpbbchinese.com/
暂时中国大陆地区的用户会自动跳转到该域名,如果您访问该镜像网站出现问题,请告诉我们,以便改进。

3.2.X 系统要求

phpBB 3.2.X 相关的使用、安装等话题
版面规则
《发帖时,请复制下列格式文本,提供完整的信息,勿简略发布》


###### 以下为“基本的提问格式” ######
  • 主机操作系统: Windows (XP, 7, 8, 10)、Linux(Redhat,Centos, Mandrake等等)、或者其他的(请务必注明版本)
  • 快速架站程序: AppServ、XAMPP 等等(请务必注明版本号)
  • 您的上网方式:ADSL、Cable、FTTB等等 (请务必留下 ISP 名称或 ISP 官网)
  • 您安装的程序: Apache + php + MySQL 或者其他的组合 (请务必留下版本号,如果使用上面的快速架站程序就不必写了)
  • 您的 phpBB 版本: phpBB 3.2.2
  • 您的域名: 比如 phpbbchinese.com
  • 您的 phpBB 网址: 比如 https://www.phpbbchinese.com/
###### 以上为“基本的提问格式” ######

  • 安装扩展: 请注明安装扩展的名称,版本以及参考链接(非扩展问题免填)
  • 安装风格: 请注明安装的风格名称,版本以及参考链接(非风格问题免填)
  • 错误代码: 请使用 Code 标签将错误代码标识出来,如下:

代码: 全选

错误代码
  • 错误状态:如果没有错误代码,请直接贴出截图,或者是详细叙述错误状态内容。
备注:
如果需要,请提供测试用的账号与密码
若是管理账号,请使用短信联系站长
主题已锁定
头像
davidyin
网站管理员
网站管理员
Medal 3
Medal 3
帖子: 814
注册时间: 2015年11月19日 01:50
联系:

3.2.X 系统要求

帖子 davidyin » 2018年3月10日 09:11

phpBB 的安装及使用有一些必要的条件,下面会把有关的这些系统必要条件罗列出来。

  • 一个 Web 服务器,或者主机空间的账号,运行的操作系统必须支持 PHP 语言。
  • 一个 SQL 数据库系统,可以是下面这些中的一个就行:
  • MySQL 3.23 以上 (MySQLi supported)
  • MariaDB 5.1 以上
  • MS SQL Server 2000 以上 (via ODBC 或者 SQLSRV PHP 扩展)
  • Oracle
  • PostgreSQL 8.3+
  • SQLite 3。6.15+
  • PHP 语言至少是 PHP 5.4+ 并且支持你所使用的数据库。
  • 支持 getimagesize() 函数
  • 下面这些 PHP 模块是必须的:
  • json
  • XML 支持
  • 对应于你所用数据库的扩展
  • 下面这些PHP模块是可选的,因为有些功能是需要用到:
  • zlib Compression support
  • Remote FTP support
  • Imagemagick support
  • GD support
在安装的过程中,软件会检测你的系统是否满足这些必要模块以及是否有可选模块。


居住在西八区,有时差,提问请按照“通用提问格式”提问,未必能及时回复,见谅。
提供 phpBB 服务

主题已锁定